using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VSview
{
    public class Detector : BaseViewModel
    {
        #region Constructors
        /// <summary>
        /// Default constructor
        /// </summary>
        public Detector()
        {
            SetupDetector();
        }
        #endregion

        #region Public properties
        /// <summary>
        /// Detector calibration model
        /// </summary>
        public Calibration Calibration { get; set; }

        /// <summary>
        /// Detector ion chamber model
        /// </summary>
        public Ionchamber Ionchamber { get; set; }

        /// <summary>
        /// Detector range model
        /// </summary>
        public Range Range { get; set; }

        /// <summary>
        /// Detector reject model
        /// </summary>
        public Reject Reject { get; set; }

        /// <summary>
        /// Detector settings model
        /// </summary>
        public Setting Settings { get; set; }

        /// <summary>
        /// Detector turbo pump model
        /// </summary>
        public Turbo Turbo { get; set; }
        #endregion

        #region Public methods

        /// <summary>
        /// Method for creating all detector models
        /// </summary>
        public void SetupDetector()
        {
            Calibration = new Calibration();
            Ionchamber = new Ionchamber();
            Range = new Range();
            Reject = new Reject();
            Settings = new Setting();
            Turbo = new Turbo();
        }
        #endregion
    }
}
